Bug 10017 - Opac CCSR template do not cope well with right-to-left languages
Summary: Opac CCSR template do not cope well with right-to-left languages
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Karam Qubsi
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-09 18:11 UTC by Karam Qubsi
Modified: 2013-12-05 20:09 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
OPAC-CCSR-Right-to-left-css (11.00 KB, patch)
2013-04-09 18:18 UTC, Karam Qubsi
Details | Diff | Splinter Review
Follow up OPAC-CCSR-Right-to-left-css (995 bytes, patch)
2013-04-16 16:20 UTC, Karam Qubsi
Details | Diff | Splinter Review
Follow up handling multi libraries form (2.44 KB, patch)
2013-04-17 10:41 UTC, Karam Qubsi
Details | Diff | Splinter Review
Bug 8061 OPAC-CCSR-Right-to-left-css This patch will add css file for the Opac cssr link this css file in the doc-head-close.inc and add new image : arrow-left-grey-11x6.png for the opposite direction of the right existing one . the test plan is the same (11.13 KB, patch)
2013-04-26 20:18 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 10017 Follow up OPAC-CCSR-Right-to-left-css (1.05 KB, patch)
2013-04-26 20:18 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 10017--Follow up handling with the multi libraries pref when sets to add . This Follow up patch will handle multi libraries pref when it sets to "add" and enhance the way lists drop down menu appear (2.60 KB, patch)
2013-04-26 20:18 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8061 OPAC-CCSR-Right-to-left-css (11.14 KB, patch)
2013-04-26 20:25 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10017 Follow up OPAC-CCSR-Right-to-left-css (1.06 KB, patch)
2013-04-26 20:25 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10017--Follow up handling with the multi libraries pref when sets to add . (2.61 KB, patch)
2013-04-26 20:25 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[PASSED QA] Bug 8061 OPAC-CCSR-Right-to-left-css (11.22 KB, patch)
2013-04-28 13:10 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 10017 Follow up OPAC-CCSR-Right-to-left-css (1.14 KB, patch)
2013-04-28 13:10 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 10017 -Follow up handling with the multi libraries pref active (2.78 KB, patch)
2013-04-28 13:10 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Karam Qubsi 2013-04-09 18:11:55 UTC
This problem was with all koha templates and fixed on the Bug 8061 for Opac Prog and staff client 

so I will upload a patch to fix this on ccsr :)
Comment 1 Karam Qubsi 2013-04-09 18:18:13 UTC Comment hidden (obsolete)
Comment 2 Karam Qubsi 2013-04-15 14:35:55 UTC
hello :)
This needs signoff 
is there any problem with the patch ? 
Thanks for your helps :)
Karam
Comment 3 David Cook 2013-04-16 08:13:04 UTC
Comment on attachment 17315 [details] [review]
OPAC-CCSR-Right-to-left-css

I haven't taken a thorough look at this yet, but the "include" looks good.

I wonder about the "-moz-box-sizing" property in "form#searchform .input-wrapper" though. I know we use vendor-specific CSS elsewhere (like with gradients), but I think this is something that should probably be avoided as much as possible. Is this something that we're using in the left-to-right CSS?

In terms of W3 CSS validation, we should avoid vendor-specific CSS and maybe use something like the CSS3 box-sizing property instead (http://www.w3schools.com/cssref/css3_pr_box-sizing.asp).

That said, in terms of providing a somewhat consistent look across more browsers, I wonder if it would be better to use several CSS2 properties instead of one CSS3 property, since CSS3 is still in the process of being taken up...

But that's just my 2 cents.
Comment 4 Karam Qubsi 2013-04-16 16:20:56 UTC Comment hidden (obsolete)
Comment 5 Karam Qubsi 2013-04-17 10:41:18 UTC Comment hidden (obsolete)
Comment 6 Bernardo Gonzalez Kriegel 2013-04-26 20:18:29 UTC Comment hidden (obsolete)
Comment 7 Bernardo Gonzalez Kriegel 2013-04-26 20:18:36 UTC Comment hidden (obsolete)
Comment 8 Bernardo Gonzalez Kriegel 2013-04-26 20:18:44 UTC Comment hidden (obsolete)
Comment 9 Bernardo Gonzalez Kriegel 2013-04-26 20:25:35 UTC Comment hidden (obsolete)
Comment 10 Bernardo Gonzalez Kriegel 2013-04-26 20:25:42 UTC Comment hidden (obsolete)
Comment 11 Bernardo Gonzalez Kriegel 2013-04-26 20:25:50 UTC Comment hidden (obsolete)
Comment 12 Katrin Fischer 2013-04-28 13:10:12 UTC
Created attachment 17768 [details] [review]
[PASSED QA] Bug 8061 OPAC-CCSR-Right-to-left-css

This patch will add css file for the Opac cssr
link this css file in the doc-head-close.inc
and add new image : arrow-left-grey-11x6.png
for the opposite direction of the right existing one.

the test plan is the same for the oldest patches
for opac prog and intranet ...

http://bugs.koha-community.org/show_bug.cgi?id=10017
Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Comment on last patch.

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Comment on last patch.
Comment 13 Katrin Fischer 2013-04-28 13:10:24 UTC
Created attachment 17769 [details] [review]
[PASSED QA] Bug 10017 Follow up OPAC-CCSR-Right-to-left-css

This follow up patch will delete the "-moz-box-sizing"
property that I was add when I'm doing some tests on
the rtl css file and  I forgot to delete it

many thanks David Cook for your notes deleting that property will not effect  on the results

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Comment on last patch.

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Comment on last patch.
Comment 14 Katrin Fischer 2013-04-28 13:10:38 UTC
Created attachment 17770 [details] [review]
[PASSED QA] Bug 10017 -Follow up handling with the multi libraries pref active

This Follow up patch will handle multi libraries pref
when it sets to "add" and enhance the way lists drop down menu appear

 Test plan for all patches ( the first one and  all follow ups )  :
 1- apply the patches ( from the first one and all follow up patches)
 2- use 3.10 po files and update it (for the master) "
    ../misc/translate/ perl translate update ar-Arab "
 3- install Arabic from the updated po files
    "perl translate install ar-Arab "
 4- set opac opacthemes pref to ccsr
 5- set OpacAddMastheadLibraryPulldown pref to add
 6- select the Arabic from the opaclanguages pref
 7- set opaclanguagesdisplay  to allow
 8- go to the opac and choose  arabic
 9- you will see all the directions from right to left
    (as you look at koha on a mirror ;) ))

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Comment: Work as decribed. No errors.
With all patches applied, we get a pretty RTL interface.
Well done!

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Changes are mostly CSS, one new image and a tiny template change.
Used po files from 3.8 for testing. Looks good!
Comment 15 Jared Camins-Esakov 2013-05-01 10:40:37 UTC
This patch has been pushed to master and 3.12.x.